
/*
 * $Id$
 *
 * (C) by abook developers
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#ifdef HAVE_CONFIG_H
#	include "../config.h"
#endif
#include "../abook.h"
#include "../db_access.h"
#include "../misc.h"
#include "../xmalloc.h"

#include "filter_interface.h"
#include "filter.h"


/* yes, duplicated code from the mutt module... */
static char *
mutt_alias_genalias(int i)
{
	char *tmp, *pos;

	if(db_fget(i, NICK))
		return xstrdup(db_fget(i, NICK));

	tmp = xstrdup(db_name_get(i));

	if( ( pos = strchr(tmp, ' ') ) )
		*pos = 0;

	strlower(tmp);

	return tmp;
}

static int
elm_alias_export(FILE *out, struct db_enumerator e)
{
	char *email;
	char *alias = NULL;

	db_enumerate_items(e) {
		alias = mutt_alias_genalias(e.item);
		email = get_first_email(e.item);
		fprintf(out, "%s = %s = %s\n",alias,db_name_get(e.item),email);
		xfree(alias);
		xfree(email);
	}

	return 0;
}

/*
 * Using filter helper
 */
#define FILTER_NAME elm
#define FILTER_DESCRIPTION N_("elm alias")
#define FILTER_EXPORT_FUNCTION elm_alias_export
#include "filter_helper.h"
