#ifndef _FILTERS_CSV_COMMON_H
#define _FILTERS_CSV_COMMON_H

#include "filter_interface.h"

#define CSV_COMMENT_CHAR	'#'
#define CSV_DUPLICATE_SEPARATOR	" "
#define CSV_TABLE_SIZE(t)	(sizeof (t) / sizeof *(t))

#define CSV_LAST		(-1)
#define CSV_UNDEFINED		(-2)
#define CSV_SPECIAL(X)		(-3 - (X))
#define CSV_IS_SPECIAL(X)	((X) <= -3)

void init_csv_common(struct abook_ops *main_ops);
int csv_parse_file_common(FILE *in, int *conv_table, size_t table_size);
int csv_export_common(FILE *out, struct db_enumerator e, int fields[],
	 void (*special_func)(FILE *, int, int));

#endif /* _FILTERS_FILTER_MISC_H */
